Tryton - Issues

 

Issue6267

Title Show move form after creating it from the template
Priority bug Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type behavior Components account
Assigned To pokoli Keywords review
Reviews 29231002
View: 29231002

Created on 2017-02-13.17:54:02 by pokoli, last changed by roundup-bot.

Messages
New changeset 1310afa97ee2 by Sergi Almacellas Abellana in branch 'default':
Show move form after creating a move from a template
http://hg.tryton.org/modules/account/rev/1310afa97ee2
review29231002 updated at https://codereview.tryton.org/29231002/#ps40001
review29231002 updated at https://codereview.tryton.org/29231002/#ps20001
msg31966 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-02-16.11:20:15
Indeed the idea of the wizard already include this as the TODO shows.
So this is a behaviour bug and the TODO should be fixed.
It will ease the discussion if you provide a complete description of the issue, so other can understand it without having to read the code.
msg31893 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-02-13.18:05:48
> I do not think it is a good idea because the user may not have the right to see the move.

I don't see the problem. A test can be added in order to know if the user have the right to see the move. Do you think we must check if the user is allowed to read the account.move model?
review29231002 updated at https://codereview.tryton.org/29231002/#ps1
msg31890 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-02-13.18:03:10
I do not think it is a good idea because the user may not have the right to see the move.
msg31889 (view) Author: [hidden] (pokoli) (Tryton committer) Date: 2017-02-13.17:54:01
It will be great if we can show the form view of the new created move when using the "Create move from template" wizard. This provides a better UX, otherwise it seems that it does nothing. 

It also helps the user to confirm the move if required.
History
Date User Action Args
2017-02-24 10:05:12roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg32161
2017-02-21 09:58:02reviewbotsetmessages: + msg32087
2017-02-17 10:30:28reviewbotsetmessages: + msg31992
2017-02-16 11:20:15cedsetpriority: feature -> bug
type: feature request -> behavior
messages: + msg31966
2017-02-13 18:05:48pokolisetmessages: + msg31893
2017-02-13 18:04:10reviewbotsetnosy: + reviewbot
messages: + msg31892
2017-02-13 18:03:10cedsetnosy: + ced
messages: + msg31890
2017-02-13 17:57:51pokolisetstatus: in-progress -> testing
reviews: 29231002
keyword: + review
2017-02-13 17:54:02pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)